﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.paginate_input {
    width: 50px !important;
    height: 2.5em !important;
}

.paging_input {
    align-items: center !important;
}


table.table-bordered.dataTable th, table.table-bordered.dataTable td {
    border-left-width: 1px !important;
}

.dataTables_wrapper.dt-bootstrap .dataTable.collapsed tbody tr td:first-child:before,
.dataTables_wrapper.dt-bootstrap4 .dataTable.collapsed tbody tr td:first-child:before {
    top: 0px !important;
    left: 0px !important;
    height: auto !important;
    border-radius: 0px !important;
}



.panel .panel-heading-lite {
    padding-top: 0.15rem;
    padding-bottom: 0.15rem;
}

.button-panel-heading {
    background: transparent;
    border: none;
}



.hidden-xs-up {
    display: none !important;
}

@media (max-width: 575.98px) {
    .hidden-xs-down {
        display: none !important;
    }
}

@media (min-width: 576px) {
    .hidden-sm-up {
        display: none !important;
    }
}

@media (max-width: 767.98px) {
    .hidden-sm-down {
        display: none !important;
    }
}

@media (min-width: 768px) {
    .hidden-md-up {
        display: none !important;
    }
}

@media (max-width: 991.98px) {
    .hidden-md-down {
        display: none !important;
    }
}

@media (min-width: 992px) {
    .hidden-lg-up {
        display: none !important;
    }
}

@media (max-width: 1398.98px) {
    .hidden-lg-down {
        display: none !important;
    }
}

@media (min-width: 1399px) {
    .hidden-xl-up {
        display: none !important;
    }
}

.hidden-xl-down {
    display: none !important;
}

.row > [class^=col-].ui-sortable {
    min-height: 10px;
}

.processing_spinner {
    left: 50% !important;
    margin-top: 20px !important;
    text-align: center !important;
}

.no-text-decoration {
    text-decoration: none !important;
}

.cursor-pointer {
    cursor: pointer;
}

.cursor-default {
    cursor: default;
}

.color-unset {
    color: unset !important;
}

.note-editable, .note-code {
    height: 150px; /* custom size */
    min-height: 150px; /* custom size */
}


.dataTables_empty {
    font-size: 1.5em !important;
    color: red !important;
    text-align: center !important;
}

div.dom_wrapper {
    position: sticky; /* Fix to the top */
    top: 50px;
    padding-left: 0px;
    padding-top: 5px;
    padding-bottom: 5px;
    z-index: 1;
    background: var(--app-component-bg) !important;
}

.panel.panel-expand {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    overflow: auto;
    z-index: 1080;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    border-radius: 0;
}

.accordion-item {
    background-color: var(--app-component-bg);
    border: 1px solid rgba(32, 37, 42, 0.125);
}

div.dataTables_wrapper div.dataTables_length select option {
    color: var(--app-component-color);
}

input.verificationCode {
    text-security: disc;
    -webkit-text-security: disc;
    -moz-text-security: disc;
}

.customtable-expand-button {
    left: 7px;
    content: "+";
    background: #ced4da;
    border: none;
    color: #20252a;
    font-size: .6875rem;
    width: 18px;
    height: 18px;
    padding-bottom: 1px;
    /*margin-top: -9px;*/
    border-radius: 4px;
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Font Awesome\ 6 Free, Font Awesome\ 6 Pro, FontAwesome !important;
    font-weight: 900;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    cursor: pointer;
}

.customtable-ul-li {
    list-style-type: none;
    border-color: black;
    border-width: thin;
    border-bottom-style: dotted;
    padding-bottom: 5px;
    padding-top: 5px;
}

    .customtable-ul-li span.dtr-title {
        display: inline-block;
        min-width: 75px;
        font-weight: bold;
    }

.customtable-selected-row {
    background: #fff7cc !important;
    color: #665700 !important;
    font-weight: 600;
    box-shadow: none !important;
}

.customtable-td-center {
    text-align: center;
    vertical-align: middle;
}

.sticky-buttons {
    position: sticky;
    top: 50px;
    background: inherit;
    background-color: var(--app-component-bg);
}

.sticky-confirmation-panel {
    position: sticky;
    top: 250px;
    background: inherit;
    background-color: var(--app-component-bg);
}

.customtable-nestedrow-header {
    font-weight: bold;
    --bs-bg-opacity: 1;
    background-color: rgba(241,241,241,var(--bs-bg-opacity)) !important;
    padding-left: 40px !important;
}

.import-message {
    max-height: 100px;
    overflow: auto;
    overflow-x: hidden;
}


.form-floating-login {
    position: relative;
}

    .form-floating-login > .form-control,
    .form-floating-login > .form-select {
        height: calc(3.5rem + 2px) !important;
        min-height: calc(3.5rem + 2px) !important;
        line-height: 1.25;
    }

    .form-floating-login > label {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        padding: 1rem 0.75rem;
        pointer-events: none;
        border: 1px solid transparent;
        transform-origin: 0 0;
        transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
    }

@media (prefers-reduced-motion: reduce) {
    .form-floating-login > label {
        transition: none;
    }
}

.form-floating-login > .form-control {
    padding: 1rem 0.75rem;
}

    .form-floating-login > .form-control::placeholder {
        color: transparent;
    }

    .form-floating-login > .form-control:focus,
    .form-floating-login > .form-control:not(:placeholder-shown) {
        padding-top: 1.625rem;
        padding-bottom: 0.625rem;
    }

    .form-floating-login > .form-control:-webkit-autofill {
        padding-top: 1.625rem;
        padding-bottom: 0.625rem;
    }

.form-floating-login > .form-select {
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}

    .form-floating-login > .form-control:focus ~ label,
    .form-floating-login > .form-control:not(:placeholder-shown) ~ label,
    .form-floating-login > .form-select ~ label {
        opacity: 0.65;
        transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
    }

.form-floating > .form-control:-webkit-autofill ~ label {
    opacity: 0.65;
    transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}

.form-floating > .form-control, .form-floating > .form-control-plaintext, .form-floating > .form-select {
    height: calc(1.5rem + 2px) !important;
    min-height: calc(1.5rem + 2px);
    line-height: 1.25;
}


:root,
[data-bs-theme="light"] {
    --bs-app-sidebar-bg: #2d353c;
    --bs-app-sidebar-bg-rgb: 45, 53, 60;
    --bs-app-sidebar-component-color: #ffffff;
    --bs-app-sidebar-component-color-rgb: 255, 255, 255;
    --bs-app-sidebar-component-active-bg: #20252a;
    --bs-app-sidebar-component-active-color: #ffffff;
    --bs-app-sidebar-menu-link-color: rgba(255, 255, 255, 0.6);
    --bs-app-sidebar-menu-link-hover-color: #ffffff;
    --bs-app-sidebar-menu-link-font-weight: 600;
    --bs-app-sidebar-menu-submenu-bg: none;
    --bs-app-sidebar-menu-submenu-link-color: rgba(255, 255, 255, 0.45);
    --bs-app-sidebar-menu-submenu-link-hover-color: #ffffff;
    --bs-app-sidebar-menu-grid-bg: #20252a;
    --bs-app-sidebar-minify-btn-bg: #242b30;
    --bs-app-sidebar-minify-btn-hover-bg: #20252a;
}


.ck-editor__editable_inline {
    min-height: 50px !important;
}

.ck.ck-editor {
    border-style: solid !important;
    border-width: 1px !important;
}

.outsideWrapper {
    width: 915px;
    height: 694px;
    margin: 20px 60px;
}

.insideWrapper {
    width: 100%;
    height: 100%;
    position: relative;
}

.coveredImage {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
}

.coveringCanvas {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: rgba(255, 0, 0, .1);
}

.pc-trigger {
    --bs-text-opacity: 1;
    font-size: 10px !important;
    font-weight: 400 !important;
    color: rgba(var(--bs-gray-600-rgb), var(--bs-text-opacity)) !important;
}

.picker .pc-select .pc-element {
    z-index: 4;
}
.short_text {
    width: 250px; /* Musisz określić szerokość elementu */
    white-space: nowrap; /* Blokuje zawijanie tekstu do nowej linii */
    overflow: hidden; /* Ukrywa tekst wychodzący poza ramy bloku */
    text-overflow: ellipsis; /* Dodaje wielokropek na końcu */
    display: block; /* Element musi być blokowy lub inline-block */
}